GBQUANT(1)

NAME
gbquant - Print quantiles of data distribution

SYNOPSIS
gbquant [options]

DESCRIPTION
Print distribution quantiles. Data are read from standard input. If no -x or -q options are provided, a quantiles table is plotted. The number of quantiles can be chosen with -n. The option -x #1 prints the quantile associated with the value #1, while -q #2 print the value associate with the quantile #2. Of course #2 must be between 0 and 1. Multiple values can be provided to -x or -q, separated with commas. With -w #1,#2 all the observations inside the quantile range [#1,#2) are printed. If more columns are provided with option -t, the specified action is repeated on each column. Without -t, columns are pooled unless -w is specified, in which case all rows whose first element is inside the range are printed. A different column for sorting can be specified with option -W. If 0 is specified, the cut is applied with respect to all columns. With option -Q each entry is replaced with the quantile range it belongs to, with respect to the distribution obtained from the entries in its column.

OPTIONS

-n  number of quantiles to print (default 10)

-x  print the quantile (interpolated) associated with the value

-q  print the value (interpolated) associated with the quantile

-e  print the (asymptotic) error for -x or -q; doesn't work with -t

-Q  replace each element with the quantile range it belongs to

-w  print observations inside a quantile windows

-W  set the column to use (default 1)

-t  consider separately each column of input

-F  specify the input fields separators (default " \t")

-h  this help

-v  verbose mode

EXAMPLES

gbquant -W 0 -w 0.1,0.9 < file
    print the rows whose fields are all in the center deciles.

gbquant -q 0.5 < file
    print the median of the observations in 'file'.

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.